DNS Zones

Create Dns Zone With Upload

post/dns/zones/upload

Create a new DNS zone and import records from a BIND zone file.

Creates the zone and imports records in one operation. Records are saved immediately and start being served once the zone is verified.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Query parameters

domain*string

Domain name for the zone

project_id*integer

Project ID

Request body

multipart/form-dataRequired
file*string

BIND zone file to import

Responses

Successful Response

application/json

imported*integer
skipped*integer
errors*array<string>
records*array<DNSRecordOut>
Properties (12)
uuid*string
name*string
record_type*DNSRecordType
Value in"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"
content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Formatdate-time
updated_at*string
Formatdate-time